System.Web 2.0.0.0 System.Configuration.SettingsProvider

ASP.NET profiles offer persistent storage and retrieval of user-specific properties. Profile property values and information are stored in a data source in a manner determined by the implementation. You can use the profile providers that are included with the .NET Framework (represented by the classes that derive from the abstract class), or you can implement your own provider by creating a new class that derives from .

There are two primary reasons for creating a custom profile provider.

You need to store profile information in a data source that is not supported by the profile providers included with the .NET Framework, such as a FoxPro database, an Oracle database, or other data stores.

You need to manage profile information using a database schema that is different from the database schema used by the providers that ship with the .NET Framework. A common example of this would be user data that already exists in a SQL Server database for a company network or a Web site.

The abstract class inherits from the abstract class, which inherits from the abstract class. Classes that implement must also implement the required members of the and abstract classes. For more information about implementing a profile provider, see Implementing a Profile Provider.

Defines the contract that ASP.NET implements to provide profile services using custom profile providers.

- Constructor

  You are not required to implement a constructor for a class that inherits the abstract class. Initialization values for a implementation are passed to the method implementation.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Int32 `` ``

  The method is used to remove unused profile data from the data source. Only data for the applicationName specified in the configuration file is removed. The parameter specifies whether only anonymous profiles, only authenticated profiles, or all profiles are searched. Profiles in which the occurs on or before the specified parameter value are deleted.

  When overridden in a derived class, deletes all user-profile data for profiles in which the last activity date occurred before the specified date.

  The number of profiles deleted from the data source.

  One of the values, specifying whether anonymous, authenticated, or both types of profiles are deleted. A that identifies which user profiles are considered inactive. If the value of a user profile occurs on or before this date and time, the profile is considered inactive. 2.0.0.0
- Method
  System.Int32 ``

  The method deletes the profiles specified in the parameter. Only data for the applicationName specified in the configuration file is removed.

  When overridden in a derived class, deletes profile properties and information for profiles that match the supplied list of user names.

  The number of profiles deleted from the data source.

  A string array of user names for profiles to be deleted. 2.0.0.0
- Method
  System.Int32 ``

  The method deletes the profiles specified in the parameter. Only data for the applicationName specified in the configuration file is removed.

  When implementing this method in a derived class, you can use the applicationName value and the property of each object in the supplied to determine which profiles to delete from your data source.

  When overridden in a derived class, deletes profile properties and information for the supplied list of profiles.

  The number of profiles deleted from the data source.

  A of information about profiles that are to be deleted. 2.0.0.0
- Method
  System.Web.Profile.ProfileInfoCollection `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.Profile.ProfileInfoCollection `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.Profile.ProfileInfoCollection `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.Profile.ProfileInfoCollection `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` ``

  The method is used to retrieve a count of all unused user profiles. Only data for the applicationName specified in the configuration file is returned. The parameter specifies whether only anonymous profiles, only authenticated profiles, or all profiles are searched. Of the searched profiles, any profile with a that occurs on or before the specified parameter value is counted.

  When overridden in a derived class, returns the number of profiles in which the last activity date occurred on or before the specified date.

  The number of profiles in which the last activity date occurred on or before the specified date.

  One of the values, specifying whether anonymous, authenticated, or both types of profiles are returned. A that identifies which user profiles are considered inactive. If the of a user profile occurs on or before this date and time, the profile is considered inactive. 2.0.0.0